package service

import (
	"codeword/internal/models"
	"codeword/internal/repository"
	"context"
)

type StatsService struct {
	StatsRepository *repository.StatsRepository
}

func NewStatsService(repository *repository.StatsRepository) *StatsService {
	return &StatsService{
		StatsRepository: repository,
	}
}

func (s *StatsService) Getstats(ctx context.Context, request *models.PromoCodeStatsReq) (*models.PromoCodeStatsResp, error) {

	response, err := s.StatsRepository.Getstats(ctx, request)
	if err != nil {
		return nil, err
	}
	return response, nil

}
