package models

type PromoCode struct {
	/* - Идентификатор промокода*/
	ID string `json:"id"`
	/* - Бонус, предоставляемый с промокодом*/
	Bonus Bonus `json:"bonus"`
	/* - Флаг*/
	Delete bool `json:"delete"`
	/* - Описание промокода*/
	Description string `json:"description"`
	/* - Список быстрых ссылок для активации промокода*/
	Fastlinks []string `json:"fastLinks"`
	/* - Приветственное сообщение после активации промокода*/
	Greetings string `json:"greetings"`
	/* - Количество активаций промокода*/
	Activationcount int `json:"activationCount"`
	/* - Флаг*/
	Outdated bool `json:"outdated"`
	/* - Кодовое слово для активации промокода*/
	Codeword string `json:"codeword"`
	/* - Дата и время создания промокода*/
	Createdat string `json:"createdAt"`
	/* - Дата истечения действия промокода в формате Unix time*/
	Dueto int `json:"dueTo"`
	/* - Флаг*/
	Offlimit bool `json:"offLimit"`
}
