package models

type PromoCodeReq struct {
	/* - Бонус*/
	Bonus Bonus `json:"bonus"`
	/* - Кодовое слово для активации промокода*/
	Codeword string `json:"codeword"`
	/* - Описание промокода*/
	Description string `json:"description"`
	/* - Дата истечения действия промокода в формате Unix time*/
	Dueto int `json:"dueTo"`
	/* - Список быстрых ссылок для активации промокода*/
	Fastlinks []string `json:"fastLinks"`
	/* - Приветственное сообщение после активации промокода*/
	Greetings string `json:"greetings"`
	/* - Количество активаций промокода*/
	Activationcount int `json:"activationCount"`
}
